Node.JspAttribute (Jasper Internal API Documentation)
Keywords: org.apache.jasper.compiler.Node.JspAttribute class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class Node.JspAttribute

    java.lang.Object
      org.apache.jasper.compiler.Node.JspAttribute

Enclosing class:
  org.apache.jasper.compiler.Node

public static class Node.JspAttribute
extends java.lang.Object

Represents attributes that can be request time expressions. Can either be a plain attribute, an attribute that represents a request time expression value, or a named attribute (specified using the jsp:attribute standard action).

Method Summary
`ELNode.Nodes` | `getEL()`
`java.lang.String` | `getLocalName()`
`java.lang.String` | `getName()`
`Node.NamedAttribute` | `getNamedAttributeNode()` Only makes sense if namedAttribute is true.
`java.lang.String` | `getURI()`
`java.lang.String` | `getValue()` Only makes sense if namedAttribute is false.
`boolean` | `isDynamic()` XXX
`boolean` | `isELInterpreterInput()`
`boolean` | `isExpression()`
`boolean` | `isLiteral()`
`boolean` | `isNamedAttribute()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    The name of the attribute

### getLocalName

    public java.lang.String getLocalName()

  Returns:
    The local name of the attribute

### getURI

    public java.lang.String getURI()

  Returns:
    The namespace of the attribute, or null if in the default namespace

### getValue

    public java.lang.String getValue()

  Only makes sense if namedAttribute is false.

  Returns:
    the value for the attribute, or the expression string (stripped of "<%=", "%>", "%=", or "%" but containing "${" and "}" for EL expressions)

### getNamedAttributeNode

    public Node.NamedAttribute getNamedAttributeNode()

  Only makes sense if namedAttribute is true.

  Returns:
    the nodes that evaluate to the body of this attribute.

### isExpression

    public boolean isExpression()

  Returns:
    true if the value represents a traditional rtexprvalue

### isNamedAttribute

    public boolean isNamedAttribute()

  Returns:
    true if the value represents a NamedAttribute value.

### isELInterpreterInput

    public boolean isELInterpreterInput()

  Returns:
    true if the value represents an expression that should be fed to the expression interpreter

### isLiteral

    public boolean isLiteral()

  Returns:
    true if the value is a string literal known at translation time.

### isDynamic

    public boolean isDynamic()

  XXX

### getEL

    public ELNode.Nodes getEL()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.